IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network103.3.48.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
103.3.48.0- Broadcast address
103.3.63.255- First usable
103.3.48.1- Last usable
103.3.63.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
67033000· Integer1728262144to1728266239 - Reverse DNS zones
48.3.103.in-addr.arpa49.3.103.in-addr.arpa50.3.103.in-addr.arpa51.3.103.in-addr.arpa52.3.103.in-addr.arpa53.3.103.in-addr.arpa54.3.103.in-addr.arpa55.3.103.in-addr.arpa56.3.103.in-addr.arpa57.3.103.in-addr.arpa58.3.103.in-addr.arpa59.3.103.in-addr.arpa60.3.103.in-addr.arpa61.3.103.in-addr.arpa62.3.103.in-addr.arpa63.3.103.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01100111.00000011.00110000.00000000 | 103.3.48.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 01100111.00000011.00110000.00000000 | 103.3.48.0 |
| Broadcast | 01100111.00000011.00111111.11111111 | 103.3.63.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
103.3.48.0/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 103.3.48.0/32 | 103.3.48.0 to 103.3.48.0 | — | 1 |
| 2 | 103.3.48.1/32 | 103.3.48.1 to 103.3.48.1 | — | 1 |
| 3 | 103.3.48.2/32 | 103.3.48.2 to 103.3.48.2 | — | 1 |
| 4 | 103.3.48.3/32 | 103.3.48.3 to 103.3.48.3 | — | 1 |
| 5 | 103.3.48.4/32 | 103.3.48.4 to 103.3.48.4 | — | 1 |
| 6 | 103.3.48.5/32 | 103.3.48.5 to 103.3.48.5 | — | 1 |
| 7 | 103.3.48.6/32 | 103.3.48.6 to 103.3.48.6 | — | 1 |
| 8 | 103.3.48.7/32 | 103.3.48.7 to 103.3.48.7 | — | 1 |
| 9 | 103.3.48.8/32 | 103.3.48.8 to 103.3.48.8 | — | 1 |
| 10 | 103.3.48.9/32 | 103.3.48.9 to 103.3.48.9 | — | 1 |
| 11 | 103.3.48.10/32 | 103.3.48.10 to 103.3.48.10 | — | 1 |
| 12 | 103.3.48.11/32 | 103.3.48.11 to 103.3.48.11 | — | 1 |
| 13 | 103.3.48.12/32 | 103.3.48.12 to 103.3.48.12 | — | 1 |
| 14 | 103.3.48.13/32 | 103.3.48.13 to 103.3.48.13 | — | 1 |
| 15 | 103.3.48.14/32 | 103.3.48.14 to 103.3.48.14 | — | 1 |
| 16 | 103.3.48.15/32 | 103.3.48.15 to 103.3.48.15 | — | 1 |
| 17 | 103.3.48.16/32 | 103.3.48.16 to 103.3.48.16 | — | 1 |
| 18 | 103.3.48.17/32 | 103.3.48.17 to 103.3.48.17 | — | 1 |
| 19 | 103.3.48.18/32 | 103.3.48.18 to 103.3.48.18 | — | 1 |
| 20 | 103.3.48.19/32 | 103.3.48.19 to 103.3.48.19 | — | 1 |
| 21 | 103.3.48.20/32 | 103.3.48.20 to 103.3.48.20 | — | 1 |
| 22 | 103.3.48.21/32 | 103.3.48.21 to 103.3.48.21 | — | 1 |
| 23 | 103.3.48.22/32 | 103.3.48.22 to 103.3.48.22 | — | 1 |
| 24 | 103.3.48.23/32 | 103.3.48.23 to 103.3.48.23 | — | 1 |
| 25 | 103.3.48.24/32 | 103.3.48.24 to 103.3.48.24 | — | 1 |
| 26 | 103.3.48.25/32 | 103.3.48.25 to 103.3.48.25 | — | 1 |
| 27 | 103.3.48.26/32 | 103.3.48.26 to 103.3.48.26 | — | 1 |
| 28 | 103.3.48.27/32 | 103.3.48.27 to 103.3.48.27 | — | 1 |
| 29 | 103.3.48.28/32 | 103.3.48.28 to 103.3.48.28 | — | 1 |
| 30 | 103.3.48.29/32 | 103.3.48.29 to 103.3.48.29 | — | 1 |
| 31 | 103.3.48.30/32 | 103.3.48.30 to 103.3.48.30 | — | 1 |
| 32 | 103.3.48.31/32 | 103.3.48.31 to 103.3.48.31 | — | 1 |
| 33 | 103.3.48.32/32 | 103.3.48.32 to 103.3.48.32 | — | 1 |
| 34 | 103.3.48.33/32 | 103.3.48.33 to 103.3.48.33 | — | 1 |
| 35 | 103.3.48.34/32 | 103.3.48.34 to 103.3.48.34 | — | 1 |
| 36 | 103.3.48.35/32 | 103.3.48.35 to 103.3.48.35 | — | 1 |
| 37 | 103.3.48.36/32 | 103.3.48.36 to 103.3.48.36 | — | 1 |
| 38 | 103.3.48.37/32 | 103.3.48.37 to 103.3.48.37 | — | 1 |
| 39 | 103.3.48.38/32 | 103.3.48.38 to 103.3.48.38 | — | 1 |
| 40 | 103.3.48.39/32 | 103.3.48.39 to 103.3.48.39 | — | 1 |
| 41 | 103.3.48.40/32 | 103.3.48.40 to 103.3.48.40 | — | 1 |
| 42 | 103.3.48.41/32 | 103.3.48.41 to 103.3.48.41 | — | 1 |
| 43 | 103.3.48.42/32 | 103.3.48.42 to 103.3.48.42 | — | 1 |
| 44 | 103.3.48.43/32 | 103.3.48.43 to 103.3.48.43 | — | 1 |
| 45 | 103.3.48.44/32 | 103.3.48.44 to 103.3.48.44 | — | 1 |
| 46 | 103.3.48.45/32 | 103.3.48.45 to 103.3.48.45 | — | 1 |
| 47 | 103.3.48.46/32 | 103.3.48.46 to 103.3.48.46 | — | 1 |
| 48 | 103.3.48.47/32 | 103.3.48.47 to 103.3.48.47 | — | 1 |
| 49 | 103.3.48.48/32 | 103.3.48.48 to 103.3.48.48 | — | 1 |
| 50 | 103.3.48.49/32 | 103.3.48.49 to 103.3.48.49 | — | 1 |
| 51 | 103.3.48.50/32 | 103.3.48.50 to 103.3.48.50 | — | 1 |
| 52 | 103.3.48.51/32 | 103.3.48.51 to 103.3.48.51 | — | 1 |
| 53 | 103.3.48.52/32 | 103.3.48.52 to 103.3.48.52 | — | 1 |
| 54 | 103.3.48.53/32 | 103.3.48.53 to 103.3.48.53 | — | 1 |
| 55 | 103.3.48.54/32 | 103.3.48.54 to 103.3.48.54 | — | 1 |
| 56 | 103.3.48.55/32 | 103.3.48.55 to 103.3.48.55 | — | 1 |
| 57 | 103.3.48.56/32 | 103.3.48.56 to 103.3.48.56 | — | 1 |
| 58 | 103.3.48.57/32 | 103.3.48.57 to 103.3.48.57 | — | 1 |
| 59 | 103.3.48.58/32 | 103.3.48.58 to 103.3.48.58 | — | 1 |
| 60 | 103.3.48.59/32 | 103.3.48.59 to 103.3.48.59 | — | 1 |
| 61 | 103.3.48.60/32 | 103.3.48.60 to 103.3.48.60 | — | 1 |
| 62 | 103.3.48.61/32 | 103.3.48.61 to 103.3.48.61 | — | 1 |
| 63 | 103.3.48.62/32 | 103.3.48.62 to 103.3.48.62 | — | 1 |
| 64 | 103.3.48.63/32 | 103.3.48.63 to 103.3.48.63 | — | 1 |
| 65 | 103.3.48.64/32 | 103.3.48.64 to 103.3.48.64 | — | 1 |
| 66 | 103.3.48.65/32 | 103.3.48.65 to 103.3.48.65 | — | 1 |
| 67 | 103.3.48.66/32 | 103.3.48.66 to 103.3.48.66 | — | 1 |
| 68 | 103.3.48.67/32 | 103.3.48.67 to 103.3.48.67 | — | 1 |
| 69 | 103.3.48.68/32 | 103.3.48.68 to 103.3.48.68 | — | 1 |
| 70 | 103.3.48.69/32 | 103.3.48.69 to 103.3.48.69 | — | 1 |
| 71 | 103.3.48.70/32 | 103.3.48.70 to 103.3.48.70 | — | 1 |
| 72 | 103.3.48.71/32 | 103.3.48.71 to 103.3.48.71 | — | 1 |
| 73 | 103.3.48.72/32 | 103.3.48.72 to 103.3.48.72 | — | 1 |
| 74 | 103.3.48.73/32 | 103.3.48.73 to 103.3.48.73 | — | 1 |
| 75 | 103.3.48.74/32 | 103.3.48.74 to 103.3.48.74 | — | 1 |
| 76 | 103.3.48.75/32 | 103.3.48.75 to 103.3.48.75 | — | 1 |
| 77 | 103.3.48.76/32 | 103.3.48.76 to 103.3.48.76 | — | 1 |
| 78 | 103.3.48.77/32 | 103.3.48.77 to 103.3.48.77 | — | 1 |
| 79 | 103.3.48.78/32 | 103.3.48.78 to 103.3.48.78 | — | 1 |
| 80 | 103.3.48.79/32 | 103.3.48.79 to 103.3.48.79 | — | 1 |
| 81 | 103.3.48.80/32 | 103.3.48.80 to 103.3.48.80 | — | 1 |
| 82 | 103.3.48.81/32 | 103.3.48.81 to 103.3.48.81 | — | 1 |
| 83 | 103.3.48.82/32 | 103.3.48.82 to 103.3.48.82 | — | 1 |
| 84 | 103.3.48.83/32 | 103.3.48.83 to 103.3.48.83 | — | 1 |
| 85 | 103.3.48.84/32 | 103.3.48.84 to 103.3.48.84 | — | 1 |
| 86 | 103.3.48.85/32 | 103.3.48.85 to 103.3.48.85 | — | 1 |
| 87 | 103.3.48.86/32 | 103.3.48.86 to 103.3.48.86 | — | 1 |
| 88 | 103.3.48.87/32 | 103.3.48.87 to 103.3.48.87 | — | 1 |
| 89 | 103.3.48.88/32 | 103.3.48.88 to 103.3.48.88 | — | 1 |
| 90 | 103.3.48.89/32 | 103.3.48.89 to 103.3.48.89 | — | 1 |
| 91 | 103.3.48.90/32 | 103.3.48.90 to 103.3.48.90 | — | 1 |
| 92 | 103.3.48.91/32 | 103.3.48.91 to 103.3.48.91 | — | 1 |
| 93 | 103.3.48.92/32 | 103.3.48.92 to 103.3.48.92 | — | 1 |
| 94 | 103.3.48.93/32 | 103.3.48.93 to 103.3.48.93 | — | 1 |
| 95 | 103.3.48.94/32 | 103.3.48.94 to 103.3.48.94 | — | 1 |
| 96 | 103.3.48.95/32 | 103.3.48.95 to 103.3.48.95 | — | 1 |
| 97 | 103.3.48.96/32 | 103.3.48.96 to 103.3.48.96 | — | 1 |
| 98 | 103.3.48.97/32 | 103.3.48.97 to 103.3.48.97 | — | 1 |
| 99 | 103.3.48.98/32 | 103.3.48.98 to 103.3.48.98 | — | 1 |
| 100 | 103.3.48.99/32 | 103.3.48.99 to 103.3.48.99 | — | 1 |
| 101 | 103.3.48.100/32 | 103.3.48.100 to 103.3.48.100 | — | 1 |
| 102 | 103.3.48.101/32 | 103.3.48.101 to 103.3.48.101 | — | 1 |
| 103 | 103.3.48.102/32 | 103.3.48.102 to 103.3.48.102 | — | 1 |
| 104 | 103.3.48.103/32 | 103.3.48.103 to 103.3.48.103 | — | 1 |
| 105 | 103.3.48.104/32 | 103.3.48.104 to 103.3.48.104 | — | 1 |
| 106 | 103.3.48.105/32 | 103.3.48.105 to 103.3.48.105 | — | 1 |
| 107 | 103.3.48.106/32 | 103.3.48.106 to 103.3.48.106 | — | 1 |
| 108 | 103.3.48.107/32 | 103.3.48.107 to 103.3.48.107 | — | 1 |
| 109 | 103.3.48.108/32 | 103.3.48.108 to 103.3.48.108 | — | 1 |
| 110 | 103.3.48.109/32 | 103.3.48.109 to 103.3.48.109 | — | 1 |
| 111 | 103.3.48.110/32 | 103.3.48.110 to 103.3.48.110 | — | 1 |
| 112 | 103.3.48.111/32 | 103.3.48.111 to 103.3.48.111 | — | 1 |
| 113 | 103.3.48.112/32 | 103.3.48.112 to 103.3.48.112 | — | 1 |
| 114 | 103.3.48.113/32 | 103.3.48.113 to 103.3.48.113 | — | 1 |
| 115 | 103.3.48.114/32 | 103.3.48.114 to 103.3.48.114 | — | 1 |
| 116 | 103.3.48.115/32 | 103.3.48.115 to 103.3.48.115 | — | 1 |
| 117 | 103.3.48.116/32 | 103.3.48.116 to 103.3.48.116 | — | 1 |
| 118 | 103.3.48.117/32 | 103.3.48.117 to 103.3.48.117 | — | 1 |
| 119 | 103.3.48.118/32 | 103.3.48.118 to 103.3.48.118 | — | 1 |
| 120 | 103.3.48.119/32 | 103.3.48.119 to 103.3.48.119 | — | 1 |
| 121 | 103.3.48.120/32 | 103.3.48.120 to 103.3.48.120 | — | 1 |
| 122 | 103.3.48.121/32 | 103.3.48.121 to 103.3.48.121 | — | 1 |
| 123 | 103.3.48.122/32 | 103.3.48.122 to 103.3.48.122 | — | 1 |
| 124 | 103.3.48.123/32 | 103.3.48.123 to 103.3.48.123 | — | 1 |
| 125 | 103.3.48.124/32 | 103.3.48.124 to 103.3.48.124 | — | 1 |
| 126 | 103.3.48.125/32 | 103.3.48.125 to 103.3.48.125 | — | 1 |
| 127 | 103.3.48.126/32 | 103.3.48.126 to 103.3.48.126 | — | 1 |
| 128 | 103.3.48.127/32 | 103.3.48.127 to 103.3.48.127 | — | 1 |
| 129 | 103.3.48.128/32 | 103.3.48.128 to 103.3.48.128 | — | 1 |
| 130 | 103.3.48.129/32 | 103.3.48.129 to 103.3.48.129 | — | 1 |
| 131 | 103.3.48.130/32 | 103.3.48.130 to 103.3.48.130 | — | 1 |
| 132 | 103.3.48.131/32 | 103.3.48.131 to 103.3.48.131 | — | 1 |
| 133 | 103.3.48.132/32 | 103.3.48.132 to 103.3.48.132 | — | 1 |
| 134 | 103.3.48.133/32 | 103.3.48.133 to 103.3.48.133 | — | 1 |
| 135 | 103.3.48.134/32 | 103.3.48.134 to 103.3.48.134 | — | 1 |
| 136 | 103.3.48.135/32 | 103.3.48.135 to 103.3.48.135 | — | 1 |
| 137 | 103.3.48.136/32 | 103.3.48.136 to 103.3.48.136 | — | 1 |
| 138 | 103.3.48.137/32 | 103.3.48.137 to 103.3.48.137 | — | 1 |
| 139 | 103.3.48.138/32 | 103.3.48.138 to 103.3.48.138 | — | 1 |
| 140 | 103.3.48.139/32 | 103.3.48.139 to 103.3.48.139 | — | 1 |
| 141 | 103.3.48.140/32 | 103.3.48.140 to 103.3.48.140 | — | 1 |
| 142 | 103.3.48.141/32 | 103.3.48.141 to 103.3.48.141 | — | 1 |
| 143 | 103.3.48.142/32 | 103.3.48.142 to 103.3.48.142 | — | 1 |
| 144 | 103.3.48.143/32 | 103.3.48.143 to 103.3.48.143 | — | 1 |
| 145 | 103.3.48.144/32 | 103.3.48.144 to 103.3.48.144 | — | 1 |
| 146 | 103.3.48.145/32 | 103.3.48.145 to 103.3.48.145 | — | 1 |
| 147 | 103.3.48.146/32 | 103.3.48.146 to 103.3.48.146 | — | 1 |
| 148 | 103.3.48.147/32 | 103.3.48.147 to 103.3.48.147 | — | 1 |
| 149 | 103.3.48.148/32 | 103.3.48.148 to 103.3.48.148 | — | 1 |
| 150 | 103.3.48.149/32 | 103.3.48.149 to 103.3.48.149 | — | 1 |
| 151 | 103.3.48.150/32 | 103.3.48.150 to 103.3.48.150 | — | 1 |
| 152 | 103.3.48.151/32 | 103.3.48.151 to 103.3.48.151 | — | 1 |
| 153 | 103.3.48.152/32 | 103.3.48.152 to 103.3.48.152 | — | 1 |
| 154 | 103.3.48.153/32 | 103.3.48.153 to 103.3.48.153 | — | 1 |
| 155 | 103.3.48.154/32 | 103.3.48.154 to 103.3.48.154 | — | 1 |
| 156 | 103.3.48.155/32 | 103.3.48.155 to 103.3.48.155 | — | 1 |
| 157 | 103.3.48.156/32 | 103.3.48.156 to 103.3.48.156 | — | 1 |
| 158 | 103.3.48.157/32 | 103.3.48.157 to 103.3.48.157 | — | 1 |
| 159 | 103.3.48.158/32 | 103.3.48.158 to 103.3.48.158 | — | 1 |
| 160 | 103.3.48.159/32 | 103.3.48.159 to 103.3.48.159 | — | 1 |
| 161 | 103.3.48.160/32 | 103.3.48.160 to 103.3.48.160 | — | 1 |
| 162 | 103.3.48.161/32 | 103.3.48.161 to 103.3.48.161 | — | 1 |
| 163 | 103.3.48.162/32 | 103.3.48.162 to 103.3.48.162 | — | 1 |
| 164 | 103.3.48.163/32 | 103.3.48.163 to 103.3.48.163 | — | 1 |
| 165 | 103.3.48.164/32 | 103.3.48.164 to 103.3.48.164 | — | 1 |
| 166 | 103.3.48.165/32 | 103.3.48.165 to 103.3.48.165 | — | 1 |
| 167 | 103.3.48.166/32 | 103.3.48.166 to 103.3.48.166 | — | 1 |
| 168 | 103.3.48.167/32 | 103.3.48.167 to 103.3.48.167 | — | 1 |
| 169 | 103.3.48.168/32 | 103.3.48.168 to 103.3.48.168 | — | 1 |
| 170 | 103.3.48.169/32 | 103.3.48.169 to 103.3.48.169 | — | 1 |
| 171 | 103.3.48.170/32 | 103.3.48.170 to 103.3.48.170 | — | 1 |
| 172 | 103.3.48.171/32 | 103.3.48.171 to 103.3.48.171 | — | 1 |
| 173 | 103.3.48.172/32 | 103.3.48.172 to 103.3.48.172 | — | 1 |
| 174 | 103.3.48.173/32 | 103.3.48.173 to 103.3.48.173 | — | 1 |
| 175 | 103.3.48.174/32 | 103.3.48.174 to 103.3.48.174 | — | 1 |
| 176 | 103.3.48.175/32 | 103.3.48.175 to 103.3.48.175 | — | 1 |
| 177 | 103.3.48.176/32 | 103.3.48.176 to 103.3.48.176 | — | 1 |
| 178 | 103.3.48.177/32 | 103.3.48.177 to 103.3.48.177 | — | 1 |
| 179 | 103.3.48.178/32 | 103.3.48.178 to 103.3.48.178 | — | 1 |
| 180 | 103.3.48.179/32 | 103.3.48.179 to 103.3.48.179 | — | 1 |
| 181 | 103.3.48.180/32 | 103.3.48.180 to 103.3.48.180 | — | 1 |
| 182 | 103.3.48.181/32 | 103.3.48.181 to 103.3.48.181 | — | 1 |
| 183 | 103.3.48.182/32 | 103.3.48.182 to 103.3.48.182 | — | 1 |
| 184 | 103.3.48.183/32 | 103.3.48.183 to 103.3.48.183 | — | 1 |
| 185 | 103.3.48.184/32 | 103.3.48.184 to 103.3.48.184 | — | 1 |
| 186 | 103.3.48.185/32 | 103.3.48.185 to 103.3.48.185 | — | 1 |
| 187 | 103.3.48.186/32 | 103.3.48.186 to 103.3.48.186 | — | 1 |
| 188 | 103.3.48.187/32 | 103.3.48.187 to 103.3.48.187 | — | 1 |
| 189 | 103.3.48.188/32 | 103.3.48.188 to 103.3.48.188 | — | 1 |
| 190 | 103.3.48.189/32 | 103.3.48.189 to 103.3.48.189 | — | 1 |
| 191 | 103.3.48.190/32 | 103.3.48.190 to 103.3.48.190 | — | 1 |
| 192 | 103.3.48.191/32 | 103.3.48.191 to 103.3.48.191 | — | 1 |
| 193 | 103.3.48.192/32 | 103.3.48.192 to 103.3.48.192 | — | 1 |
| 194 | 103.3.48.193/32 | 103.3.48.193 to 103.3.48.193 | — | 1 |
| 195 | 103.3.48.194/32 | 103.3.48.194 to 103.3.48.194 | — | 1 |
| 196 | 103.3.48.195/32 | 103.3.48.195 to 103.3.48.195 | — | 1 |
| 197 | 103.3.48.196/32 | 103.3.48.196 to 103.3.48.196 | — | 1 |
| 198 | 103.3.48.197/32 | 103.3.48.197 to 103.3.48.197 | — | 1 |
| 199 | 103.3.48.198/32 | 103.3.48.198 to 103.3.48.198 | — | 1 |
| 200 | 103.3.48.199/32 | 103.3.48.199 to 103.3.48.199 | — | 1 |
| 201 | 103.3.48.200/32 | 103.3.48.200 to 103.3.48.200 | — | 1 |
| 202 | 103.3.48.201/32 | 103.3.48.201 to 103.3.48.201 | — | 1 |
| 203 | 103.3.48.202/32 | 103.3.48.202 to 103.3.48.202 | — | 1 |
| 204 | 103.3.48.203/32 | 103.3.48.203 to 103.3.48.203 | — | 1 |
| 205 | 103.3.48.204/32 | 103.3.48.204 to 103.3.48.204 | — | 1 |
| 206 | 103.3.48.205/32 | 103.3.48.205 to 103.3.48.205 | — | 1 |
| 207 | 103.3.48.206/32 | 103.3.48.206 to 103.3.48.206 | — | 1 |
| 208 | 103.3.48.207/32 | 103.3.48.207 to 103.3.48.207 | — | 1 |
| 209 | 103.3.48.208/32 | 103.3.48.208 to 103.3.48.208 | — | 1 |
| 210 | 103.3.48.209/32 | 103.3.48.209 to 103.3.48.209 | — | 1 |
| 211 | 103.3.48.210/32 | 103.3.48.210 to 103.3.48.210 | — | 1 |
| 212 | 103.3.48.211/32 | 103.3.48.211 to 103.3.48.211 | — | 1 |
| 213 | 103.3.48.212/32 | 103.3.48.212 to 103.3.48.212 | — | 1 |
| 214 | 103.3.48.213/32 | 103.3.48.213 to 103.3.48.213 | — | 1 |
| 215 | 103.3.48.214/32 | 103.3.48.214 to 103.3.48.214 | — | 1 |
| 216 | 103.3.48.215/32 | 103.3.48.215 to 103.3.48.215 | — | 1 |
| 217 | 103.3.48.216/32 | 103.3.48.216 to 103.3.48.216 | — | 1 |
| 218 | 103.3.48.217/32 | 103.3.48.217 to 103.3.48.217 | — | 1 |
| 219 | 103.3.48.218/32 | 103.3.48.218 to 103.3.48.218 | — | 1 |
| 220 | 103.3.48.219/32 | 103.3.48.219 to 103.3.48.219 | — | 1 |
| 221 | 103.3.48.220/32 | 103.3.48.220 to 103.3.48.220 | — | 1 |
| 222 | 103.3.48.221/32 | 103.3.48.221 to 103.3.48.221 | — | 1 |
| 223 | 103.3.48.222/32 | 103.3.48.222 to 103.3.48.222 | — | 1 |
| 224 | 103.3.48.223/32 | 103.3.48.223 to 103.3.48.223 | — | 1 |
| 225 | 103.3.48.224/32 | 103.3.48.224 to 103.3.48.224 | — | 1 |
| 226 | 103.3.48.225/32 | 103.3.48.225 to 103.3.48.225 | — | 1 |
| 227 | 103.3.48.226/32 | 103.3.48.226 to 103.3.48.226 | — | 1 |
| 228 | 103.3.48.227/32 | 103.3.48.227 to 103.3.48.227 | — | 1 |
| 229 | 103.3.48.228/32 | 103.3.48.228 to 103.3.48.228 | — | 1 |
| 230 | 103.3.48.229/32 | 103.3.48.229 to 103.3.48.229 | — | 1 |
| 231 | 103.3.48.230/32 | 103.3.48.230 to 103.3.48.230 | — | 1 |
| 232 | 103.3.48.231/32 | 103.3.48.231 to 103.3.48.231 | — | 1 |
| 233 | 103.3.48.232/32 | 103.3.48.232 to 103.3.48.232 | — | 1 |
| 234 | 103.3.48.233/32 | 103.3.48.233 to 103.3.48.233 | — | 1 |
| 235 | 103.3.48.234/32 | 103.3.48.234 to 103.3.48.234 | — | 1 |
| 236 | 103.3.48.235/32 | 103.3.48.235 to 103.3.48.235 | — | 1 |
| 237 | 103.3.48.236/32 | 103.3.48.236 to 103.3.48.236 | — | 1 |
| 238 | 103.3.48.237/32 | 103.3.48.237 to 103.3.48.237 | — | 1 |
| 239 | 103.3.48.238/32 | 103.3.48.238 to 103.3.48.238 | — | 1 |
| 240 | 103.3.48.239/32 | 103.3.48.239 to 103.3.48.239 | — | 1 |
| 241 | 103.3.48.240/32 | 103.3.48.240 to 103.3.48.240 | — | 1 |
| 242 | 103.3.48.241/32 | 103.3.48.241 to 103.3.48.241 | — | 1 |
| 243 | 103.3.48.242/32 | 103.3.48.242 to 103.3.48.242 | — | 1 |
| 244 | 103.3.48.243/32 | 103.3.48.243 to 103.3.48.243 | — | 1 |
| 245 | 103.3.48.244/32 | 103.3.48.244 to 103.3.48.244 | — | 1 |
| 246 | 103.3.48.245/32 | 103.3.48.245 to 103.3.48.245 | — | 1 |
| 247 | 103.3.48.246/32 | 103.3.48.246 to 103.3.48.246 | — | 1 |
| 248 | 103.3.48.247/32 | 103.3.48.247 to 103.3.48.247 | — | 1 |
| 249 | 103.3.48.248/32 | 103.3.48.248 to 103.3.48.248 | — | 1 |
| 250 | 103.3.48.249/32 | 103.3.48.249 to 103.3.48.249 | — | 1 |
| 251 | 103.3.48.250/32 | 103.3.48.250 to 103.3.48.250 | — | 1 |
| 252 | 103.3.48.251/32 | 103.3.48.251 to 103.3.48.251 | — | 1 |
| 253 | 103.3.48.252/32 | 103.3.48.252 to 103.3.48.252 | — | 1 |
| 254 | 103.3.48.253/32 | 103.3.48.253 to 103.3.48.253 | — | 1 |
| 255 | 103.3.48.254/32 | 103.3.48.254 to 103.3.48.254 | — | 1 |
| 256 | 103.3.48.255/32 | 103.3.48.255 to 103.3.48.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |